libzypp: zyppng::SuseTagsWorkflows Namespace Reference

libzypp 17.36.6

Functions
zyppng::SuseTagsWorkflows Namespace Reference

Download workflow namespace for SUSETags (YaST2) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk and how to calculate the repo status. More...

## Functions
AsyncOpRef< expected< zypp::RepoStatus > > | repoStatus (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle)
expected< zypp::RepoStatus > | repoStatus (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle)
AsyncOpRef< expected< repo::AsyncDownloadContextRef > > | download (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)
expected< repo::SyncDownloadContextRef > | download (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle, ProgressObserverRef progressObserver)

## Detailed Description

Download workflow namespace for SUSETags (YaST2) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk and how to calculate the repo status.

## Function Documentation

## ◆ repoStatus() [1/2]

AsyncOpRef< expected< zypp::RepoStatus > > zyppng::SuseTagsWorkflows::repoStatus | ( | repo::AsyncDownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle )

Calculate status of the remote SUSETags repository

Definition at line 84 of file susetags.cc.

## ◆ repoStatus() [2/2]

expected< zypp::RepoStatus > zyppng::SuseTagsWorkflows::repoStatus | ( | repo::SyncDownloadContextRef | dl,
|  | SyncMediaHandle | mediaHandle )

Definition at line 89 of file susetags.cc.

## ◆ download() [1/2]

AsyncOpRef< expected< repo::AsyncDownloadContextRef > > zyppng::SuseTagsWorkflows::download | ( | repo::AsyncDownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver = nullptr )

Download metadata to a local directory

Definition at line 330 of file susetags.cc.

## ◆ download() [2/2]

expected< repo::SyncDownloadContextRef > zyppng::SuseTagsWorkflows::download | ( | repo::SyncDownloadContextRef | dl,
|  | SyncMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver )

Definition at line 335 of file susetags.cc.